<?php
use peaceful\hostingo\Helper;
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage hostingo
 * @since 1.0
 * @version 1.0
 */

$pt_theme_opt = get_option('pt_theme_opt'); 
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<?php   
    if ( ! function_exists( 'has_site_icon' ) || ! wp_site_icon() ) {
      if( !empty($pt_theme_opt['background_favicon']) ) { ?>
        <link rel="shortcut icon" href="<?php echo esc_url($pt_theme_opt['background_favicon']['url']); ?>" />
        <?php 
      }
    }
wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
  <!-- loading -->
  <?php hostingo_display_loader(); ?>
  
<div id="page" class="site">
  <a class="skip-link screen-reader-text" href="#content"><?php esc_html__( 'Skip to content', 'hostingo' ); ?></a>
<?php 

  if(function_exists('get_field') && get_field('field_QnF1Eb') == 'yes')
  {
    $header_option = get_field('key_pjros');
   
    if($header_option['header_options'] == 'default')
      {
        get_template_part( 'template-parts/header/header', 'default' );    
      }
      elseif($header_option['header_options'] == 'style-one')
      {
        get_template_part( 'template-parts/header/header', 'style-one' );    
      }
      elseif($header_option['header_options'] == 'style-two')
      {
        get_template_part( 'template-parts/header/header', 'style-two' );    
      }
      elseif($header_option['header_options'] == 'style-three')
      {
        get_template_part( 'template-parts/header/header', 'style-three' );    
      }
      else
      {
        get_template_part( 'template-parts/header/header', 'default' );    
      }
  }

  else if(class_exists('ReduxFramework'))
  {
    if(isset($pt_theme_opt['pt_header_layout']))
    {
      if($pt_theme_opt['pt_header_layout'] == 'default')
      {
        get_template_part( 'template-parts/header/header', 'default' );    
      }
      elseif($pt_theme_opt['pt_header_layout'] == 'style-one')
      {
        get_template_part( 'template-parts/header/header', 'style-one' );    
      }
      elseif($pt_theme_opt['pt_header_layout'] == 'style-two')
      {
        get_template_part( 'template-parts/header/header', 'style-two' );    
      }
      elseif($pt_theme_opt['pt_header_layout'] == 'style-three')
      {
        get_template_part( 'template-parts/header/header', 'style-three' );    
      }
      else
      {
        get_template_part( 'template-parts/header/header', 'default' );    
      }
    }
    
  }
  else
  {
    get_template_part( 'template-parts/header/header', 'default' ); 
  }

?>
<?php Helper::instance()->display_header(); ?>   
<div class="peacefulthemes-contain"> 
  <div class="site-content-contain">
    <div id="content" class="site-content">