<?php 
function hostingo_display_loader()
{
    $pt_theme_opt = get_option('pt_theme_opt'); 
    if(isset($pt_theme_opt['loader_switch']))
    {

        if($pt_theme_opt['loader_switch'] == 'image')
        {
            if(!empty($pt_theme_opt['background_loader']['url']))
            {
                ?>
                <div id="pt-loading">
                    <div id="pt-loading-center">
                      
                        <img src="<?php echo esc_url($pt_theme_opt['background_loader']['url']) ?>" alt="<?php esc_attr_e('loading','hostingo'); ?>">
                        
                    </div>
                </div>
            <?php }
        }
        else if($pt_theme_opt['loader_switch'] == 'text')
        {
            if(!empty($pt_theme_opt['loader_text']))
            {
                $tag = $pt_theme_opt['loader_tag'];
            ?>
                <div id="pt-loading">
                    <div id="pt-loading-center">
                      
                        <<?php echo esc_html($tag); ?> class="pt-loader-text"><?php echo esc_html($pt_theme_opt['loader_text']) ?></<?php echo esc_html($tag); ?>>
                        
                    </div>
                  </div>
            <?php }
        }
    }
    else
    {
        ?>
        <div id="pt-loading">
            <div id="pt-loading-center">
              
                <img src="<?php echo HOSTINGO_URI.'/assets/img/loader.gif' ?>" alt="<?php esc_attr_e('loading','hostingo'); ?>">
                
            </div>
        </div>
    <?php 
    }
}

function hostingo_display_logo()
{
    $pt_theme_opt = get_option('pt_theme_opt');
    $logo = HOSTINGO_URI.'/assets/img/logo.png';
    
    
    if(function_exists('get_field') && get_field('key_pjos')['set_sep_logo'] == 'yes' && !empty(get_field('key_pjos')['logo_image']['url']) )
    {
        $fld = get_field('key_pjos');
        
            $logo = $fld['logo_image']['url'];
            ?>
            <img class="img-fluid logo" src="<?php echo esc_url($logo,'hostingo') ?>" alt="<?php  esc_attr_e( 'hostingo', 'hostingo' ); ?>"> 
        <?php 
        
    }
    else if(isset($pt_theme_opt['logo_type']))
    {
        if($pt_theme_opt['logo_type'] == 'image')
        {
            if(!empty($pt_theme_opt['logo_url']['url']))
            {
                $logo = $pt_theme_opt['logo_url']['url'];    
            }            
            

        ?>
        <img class="img-fluid logo" src="<?php echo esc_url($logo,'hostingo') ?>" alt="<?php  esc_attr_e( 'hostingo', 'hostingo' ); ?>"> 
        <?php
        } 

        if($pt_theme_opt['logo_type'] == 'text')
        {
            if(!empty($pt_theme_opt['header_logo_text']))
            {
                $text = $pt_theme_opt['header_logo_text'];
            }
            else
            {
                $text = 'hostingo';
            }
            if(!empty($pt_theme_opt['header_logo_tag']))
            {
                $tag = $pt_theme_opt['header_logo_tag'];
            }
            else
            {
                $tag = 'h2';
            }

        ?>
            <<?php echo esc_html($tag); ?> class="pt-logo-text"><?php echo esc_html($text); ?></<?php echo esc_html($tag); ?>>
        <?php  
        }
        
    }
    else
    {
    ?>
        <img class="img-fluid logo" src="<?php echo esc_url($logo,'hostingo') ?>" alt="<?php  esc_attr_e( 'hostingo', 'hostingo' ); ?>"> 
    <?php 
    }

}

function hostingo_get_attachment_data($attachment_id = '')
{
     $attachment = get_post( $attachment_id );
        return array(
            'alt' => get_post_meta( $attachment->ID, '_wp_attachment_image_alt', true ),
            'caption' => $attachment->post_excerpt,
            'description' => $attachment->post_content,
            'href' => get_permalink( $attachment->ID ),
            'src' => $attachment->guid,
            'title' => $attachment->post_title
        );
}

function hostingo_get_attachment_data_html($attachment_id = '' , $classes= array())
{
     $attachment = get_post( $attachment_id );
     $class = '';
     if(!empty($classes))
     {
       $class = implode(" " , $classes);
     }
        $data =  array(
            'alt' => get_post_meta( $attachment->ID, '_wp_attachment_image_alt', true ),
            'caption' => $attachment->post_excerpt,
            'description' => $attachment->post_content,
            'href' => get_permalink( $attachment->ID ),
            'src' => $attachment->guid,
            'title' => $attachment->post_title
        );
        ?>
        <img src="<?php echo esc_url($data['src']) ?>" title="<?php echo esc_attr($data['title']) ?>" alt="<?php echo esc_attr($data['alt']); ?>" class="<?php echo esc_attr($class); ?>" >
        <?php 
}

?>