<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package WordPress
 * @subpackage hostingo
 * @since 1.0
 * @version 1.0
 */

get_header(); 

$pt_theme_opt = get_option('pt_theme_opt'); 
$row = 'row';
$blogcol = 'col-xl-8 col-lg-8 col-md-12';
$sidebar = true;

if(isset($pt_theme_opt['single_blog_layout']))
{
	if($pt_theme_opt['single_blog_layout']  === 'no_sidebar')
	{
	$sidebar = false;
	$blogcol = 'col-xl-8 col-lg-8 col-md-12';
	}
	else if($pt_theme_opt['single_blog_layout']  === 'right_sidebar'){
		$sidebar = true;
		$row = 'row';
	}

	else if($pt_theme_opt['single_blog_layout']  === 'left_sidebar'){
		$sidebar = true;
		$row = 'row flex-row-reverse';
	}	
}

?>
<div class="peacefulthemes-contain-area">
	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<div class="container">
				<div class="<?php echo esc_attr($row); ?>">
					<div class="<?php echo esc_attr($blogcol); ?>">					
					<?php
					while ( have_posts() ) : the_post(); 
						get_template_part( 'template-parts/post/content', get_post_format() );
					endwhile; // End of the loop. ?>
					</div>
					<?php if ( $sidebar ) { ?>		
					<div class="col-xl-4 col-lg-4 col-md-12">
						<?php get_sidebar(); ?>
					</div>
					<?php } ?>
				</div>
			</div><!-- #primary -->
		</main><!-- #main -->
	</div><!-- .container -->
</div>

<?php get_footer(); ?>