<?php
/**
* Displays header widgets if assigned
*
* @package WordPress
* @subpackage hostingo
* @since 1.0
* @version 1.0
*/
$pt_theme_opt = get_option('pt_theme_opt'); 
if(isset($pt_theme_opt['sticky_header_enable']) && $pt_theme_opt['sticky_header_enable'])
{
   $sticky = "pt-has-sticky";
}
else
{
	$sticky = '';
}
?>
<header id="pt-header" class="pt-header-style-1 <?php echo esc_attr($sticky); ?>">	
	<?php 
	  if(function_exists('get_field') && get_field('field_QnF1Ebs') != 'inherit')
	  {	
	  	$header_option = get_field('field_QnF1Ebs');
	  	if($header_option == 'yes')
	  	{
	  		get_template_part( 'template-parts/header/header', 'top' );
	  	}
	  	
	  }
	elseif(class_exists('ReduxFramework'))
	{
		{
			if($pt_theme_opt['top_header_enable'] == 'yes')
			{
			 	get_template_part( 'template-parts/header/header', 'top' );
			}
		}
	}
	?>
	<div class="pt-bottom-header">
		<div class="container-fluid">
			<div class="row">
				<div class="col-lg-12">
				<nav class="navbar navbar-expand-lg navbar-light">
	              <a class="navbar-brand" href="<?php  echo esc_url( home_url( '/' ) ); ?>">
	             	<?php hostingo_display_logo(); ?>	                
	              </a>
	              
	              <div class="collapse navbar-collapse" id="navbarSupportedContent">
	                <?php if ( has_nav_menu( 'primary' ) ) : ?>
					<?php wp_nav_menu( array(
						'theme_location' => 'primary',
	        			'menu_class'  => 'navbar-nav ml-auto',
	        			'menu_id'     => 'pt-main-menu',
						'container_id' => 'pt-menu-contain',
	        			'container_class' => 'pt-menu-contain',
								) ); ?>
					<?php endif; ?>
	              </div>
	               <?php 
              	  if ( class_exists( 'WooCommerce' ) ) 
         		 	{
	              ?>
	              	<div class="pt-shop-btn">
		                 <div class="pt-cart"><?php echo do_shortcode( '[hostingo-mini-cart]' ); ?></div>
        		 </div>
	         	 <?php } ?>
	               <div class="pt-header-info-box">
	              	<div class="pt-header-call">
	              		 <?php
	                  if(!empty($pt_theme_opt['hostingo_phone']))
	                  { 
	                  ?>
		              	<a href="tel:<?php echo str_replace(str_split('(),-" '), '',$pt_theme_opt['hostingo_phone']); ?>">
		              		<i class="ion-ios-telephone"></i>
		              		<div class="pt-call-info">
			              		<h5><?php echo esc_html($pt_theme_opt['hostingo_phone']); ?></h5>
			              		<?php
			              		if(isset($pt_theme_opt['header_contact_text']) && !empty($pt_theme_opt['header_contact_text']))
			              		{
			              			$text = $pt_theme_opt['header_contact_text'];
			              		} 
			              		else
			              		{
			              			$text = 'Make a call';
			              		}
			              		?>
			              		<span><?php echo esc_html($text); ?></span>
		              		</div>
		              	</a>
		              <?php } ?>
	              	</div>
	              	<div class="pt-btn-container">
	              		<?php
	              		if(isset($pt_theme_opt['action_btn_url']) && !empty($pt_theme_opt['action_btn_url']))
	              		{
	              			$url = $pt_theme_opt['action_btn_url'];
	              		} 
	              		else
	              		{
	              			$url = "#";
	              		}
	              		?>
	              		<a href="<?php echo esc_url($url); ?>" class="pt-button">
	              			<div class="pt-button-block">
	              				<span class="pt-button-line-left"></span>
	              				<?php
	              				if(isset($pt_theme_opt['action_btn_text']) && !empty($pt_theme_opt['action_btn_text']))
	              				{
	              					$text = $pt_theme_opt['action_btn_text'];
	              				} 
	              				else
	              				{
	              					$text = 'Get Quote';
	              				}
	              				?>
	              				<span  class="pt-button-text"><?php echo esc_html($text); ?></span>
	              				<span class="pt-button-line-right"></span>
	              			</div>  
	              		</a>
	              	</div>	              	
	              </div>								
	             <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
	              <i class="fas fa-bars"></i>
	              </button>
	            </nav>
				</div>
			</div>
		</div>
	</div>
	
</header>