<?php
/**
* Displays header widgets if assigned
*
* @package WordPress
* @subpackage hostingo
* @since 1.0
* @version 1.0
*/
$pt_theme_opt = get_option('pt_theme_opt');
$row = "row no-gutters";
$soc_align = "";
$con_align = "";
$sticky = "";
$sidebar_logo = "";
if(isset($pt_theme_opt['sticky_header_enable']) && $pt_theme_opt['sticky_header_enable'])
{
	$sticky = "pt-has-sticky";
}
if(isset($pt_theme_opt['pt_top_header_layout']))
{
	if($pt_theme_opt['pt_top_header_layout'] == 'social-right')
	{
		$row = "row no-gutters flex-row-reverse";
		$soc_align = "text-right";
		$con_align = "";
	}
	if($pt_theme_opt['pt_top_header_layout'] == 'social-left')
	{
		$row = "row no-gutters";
		$soc_align = "";
		$con_align = "text-right";
	}
}
if(isset($pt_theme_opt['sticky_header_enable']) && $pt_theme_opt['sticky_header_enable'])
{
	$sticky = "pt-has-sticky";
}
?>
<header id="pt-header" class="pt-header-style-3 <?php echo esc_attr($sticky); ?>">	
	<div class="container">
		
		
		<div class="row">
			<div class="col-lg-3 col-md-4">
				<nav class="navbar navbar-expand-lg navbar-light">
	              <a class="navbar-brand" href="<?php  echo esc_url( home_url( '/' ) ); ?>">
	             	<?php hostingo_display_logo(); ?>	                
	              </a>
	          </nav>
			</div>
			<div class="col-lg-9 col-md-8">
				<div class="pt-top-header">            
					<div class="pt-header-contact">
						<div class="row">
						<div class="col-lg-4 d-flex justify-content-center ">
							<?php
							if(!empty($pt_theme_opt['hostingo_phone']))
							{ 
								?>
								<div class="pt-metabox">
									<i class="ion-ios-telephone-outline"></i>
										<div class="pt-meta-body">
										<h5>Contact</h5>
										<span><?php echo esc_html($pt_theme_opt['hostingo_phone']); ?></span>
									</div>
								</div>
							<?php } ?>
						</div>
						<div class="col-lg-4 d-flex justify-content-center ">
							<?php
							if(!empty($pt_theme_opt['hostingo_email']))
							{ 
								?>
								<div class="pt-metabox">
									
										<i class="ion-ios-email-outline"></i>
										<a href="mailto:<?php echo esc_html($pt_theme_opt['hostingo_email']); ?>">
										<div class="pt-meta-body">
										<h5>Email</h5>
										<span><?php echo esc_html($pt_theme_opt['hostingo_email']); ?></span>
										</div>
									</a>
								</div>
							<?php } ?>
						</div>
						<div class="col-lg-4 d-flex justify-content-center ">
							<?php 
							if(!empty($pt_theme_opt['hostingo_time']))
							{
								?>
								<div class="pt-metabox adrs">
									<i class="ion-ios-time-outline"></i>
									<div class="pt-meta-body">
									<h5>Office Timeing</h5>
									<span><?php echo esc_html($pt_theme_opt['hostingo_time']); ?></span>
									</div>
								</div>
							<?php } ?>
						</div>
					</div>
						</div>
				
				</div>
	<div class="pt-bottom-header">
		<div class="container-fluid">
			<div class="row">
				<div class="col-lg-12">
				<nav class="navbar navbar-expand-lg navbar-light">
	              <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
	              <i class="fas fa-bars"></i>
	              </button>
	              <div class="collapse navbar-collapse" id="navbarSupportedContent">
	                <?php if ( has_nav_menu( 'primary' ) ) : ?>
					<?php wp_nav_menu( array(
						'theme_location' => 'primary',
	        			'menu_class'  => 'navbar-nav ml-auto',
	        			'menu_id'     => 'pt-main-menu',
						'container_id' => 'pt-menu-contain',
	        			'container_class' => 'pt-menu-contain',
								) ); ?>
					<?php endif; ?>
	              </div>
	               <?php 
              	  if ( class_exists( 'WooCommerce' ) ) 
         		 	{
	              ?>
	              	<div class="pt-shop-btn">
		                 <div class="pt-cart"><?php echo do_shortcode( '[hostingo-mini-cart]' ); ?></div>
        		 </div>
	         	 <?php } ?>
	               <div class="pt-header-info-box">
	               	<div class="pt-menu-search-block">
                              <a href="javascript:void(0)" id="pt-seacrh-btn"><i class="fa fa-search"></i></a>
                              <div class="pt-search-form">
                                 <?php get_search_form(); ?>
                              </div>
                           </div>
	             	              	
	              </div>								
	             
	            </nav>
				</div>
			</div>
		</div>
	</div>
			</div>
		</div>
		
	</div>
</header>