<?php
/**
* Displays header widgets if assigned
*
* @package WordPress
* @subpackage hostingo
* @since 1.0
* @version 1.0
*/
?>
<?php
$pt_theme_opt = get_option('pt_theme_opt'); 
if(isset($pt_theme_opt['sticky_header_enable']) && $pt_theme_opt['sticky_header_enable'])
{
   $sticky = "pt-has-sticky";
}
else
{
	$sticky = '';
}
$row = "row no-gutters";
$soc_align = "";
$con_align = "";
$sticky = "";
$sidebar_logo = "";
$hide_top = "";
if(isset($pt_theme_opt['sticky_header_enable']) && $pt_theme_opt['sticky_header_enable'])
{
   $sticky = "pt-has-sticky";
}
if(isset($pt_theme_opt['pt_top_header_layout']))
{
   if($pt_theme_opt['pt_top_header_layout'] == 'social-right')
   {
      $row = "row no-gutters flex-row-reverse";
      $soc_align = "text-right";
      $con_align = "";
   }
   if($pt_theme_opt['pt_top_header_layout'] == 'social-left')
   {
      $row = "row no-gutters";
      $soc_align = "";
      $con_align = "text-right";
   }
}
if(isset($pt_theme_opt['sidebar_logo']) && !empty($pt_theme_opt['sidebar_logo']['url']))
{
	$sidebar_logo = $pt_theme_opt['sidebar_logo']['url'];		
}
if ($pt_theme_opt['top_header_enable'] == 'no') 
{
	$hide_top = "pt-topbar-hide";
} 
?>
<div class="pt-background-overlay"></div>
<div class="pt-sidebar">
	<div class="pt-close-btn">
		<a class="pt-close" href="javascript:void(0)">
			<i class="ion-close-round"></i>
		</a>
	</div>
	<div class="pt-sidebar-block mCustomScrollbar">
		<div class="pt-sidebar-header">
		<img src="<?php echo esc_url($sidebar_logo); ?>" class="pt-sidebar-logo" alt="<?php esc_attr_e('hostingo-sidebar-logo','hostingo'); ?>">
		
			<?php
			if(isset($pt_theme_opt['sidebar_desc']) && !empty($pt_theme_opt['sidebar_desc']))
			{
			?>
			<p><?php echo esc_html($pt_theme_opt['sidebar_desc']); ?></p>
			<?php 
			} 
			?>		
	</div>
	<div class="pt-sidebars">
		<?php dynamic_sidebar('pt_footer_6');	
		?>			
		</div>
	<div class="pt-sidebar-contact">
		<h5>Contacts</h5>
		<ul class="pt-sidebar-contact">
				<?php
				if(!empty($pt_theme_opt['hostingo_address']))
				{ 
				?>						
				<li>
					<i class="fa fa-map-marker"></i>
					<span>
						<?php echo esc_html($pt_theme_opt['hostingo_address']); ?>
					</span>
				</li>
				<?php } ?>
				
				
				<?php
				if(!empty($pt_theme_opt['hostingo_phone']))
				{ 
				?>
				<li>
				
				<a href="tel:<?php echo str_replace(str_split('(),-" '), '',$pt_theme_opt['hostingo_phone']); ?>"><i class="fa fa-phone"></i>
					<span><?php echo esc_html($pt_theme_opt['hostingo_phone']); ?></span>
				</a>
				</li>
				<?php } ?>
				
				
				<?php
				if(!empty($pt_theme_opt['hostingo_email']))
				{ 
				?>
				<li>
				
				<a href="mailto:<?php echo esc_html($pt_theme_opt['hostingo_email']); ?>"><i class="fa fa-envelope"></i><span><?php echo esc_html($pt_theme_opt['hostingo_email']); ?></span></a>
				</li>
				<?php } ?>
		</ul>
	</div>
	 <div class="pt-sidebar-social">
       	<ul>
	         <?php 
	         foreach ($pt_theme_opt['hostingo_social'] as $key => $value) {
	         if(!empty($value))
	         {
	         ?>
	         <li><a href="<?php echo esc_url($value); ?>"><i class="fab <?php echo esc_attr($key); ?>"></i></a></li>
	         <?php } } ?>
      	</ul>
      </div>
	</div>
	
</div>
      
<header id="pt-header" class="pt-header-style-2 <?php echo esc_attr($sticky); ?> <?php echo esc_attr($hide_top); ?>">
   <div class="pt-header-diff-block">
   
   <div class="row no-gutters">
      <div class="col-lg-2 col-md-4">
         <a class="navbar-brand" href="<?php  echo esc_url( home_url( '/' ) ); ?>">
            <?php hostingo_display_logo(); ?>
         </a>
      </div>
      <div class="col-lg-10 col-md-8">
      		<?php 
	  if(function_exists('get_field') && get_field('field_QnF1Ebs') != 'inherit')
	  {
	  	$header_option = get_field('field_QnF1Ebs');
	  	if($header_option == 'yes')
	  	{
	  		get_template_part( 'template-parts/header/header', 'top' );
	  	}
	  	
	  }
	elseif(class_exists('ReduxFramework'))
	{
			if($pt_theme_opt['top_header_enable'] == 'yes')
			{
			 	get_template_part( 'template-parts/header/header', 'top' );
			}
		
	}
	?>
         
         <div class="pt-bottom-header <?php echo esc_attr($sticky); ?>">
            
               <div class="row no-gutters">
                  
                  <div class="col-lg-12">
                     <nav class="navbar navbar-expand-lg navbar-light">
                        
                        <div class="collapse navbar-collapse" id="navbarSupportedContent">
                           <?php if ( has_nav_menu( 'primary' ) ) : ?>
                           <?php wp_nav_menu( array(
                              'theme_location' => 'primary',
                                 			'menu_class'  => 'navbar-nav ml-auto',
                                 			'menu_id'     => 'pt-main-menu',
                              'container_id' => 'pt-menu-contain',
                                 			'container_class' => 'pt-menu-contain',
                              		) ); ?>
                           <?php endif; ?>
                        </div>
                        <div class="pt-header-info-box">
                           <div class="pt-menu-search-block">
                              <a href="javascript:void(0)" id="pt-seacrh-btn"><i class="fa fa-search"></i></a>
                              <div class="pt-search-form">
                                 <?php get_search_form(); ?>
                              </div>
                           </div>
                            <?php 
              	  if ( class_exists( 'WooCommerce' ) ) 
         		 	{
	              ?>
	              	<div class="pt-shop-btn">
		                 <div class="pt-cart"><?php echo do_shortcode( '[hostingo-mini-cart]' ); ?></div>
        		 </div>
	         	 <?php } ?>
                           <div class="pt-toggle-btn">
                             <a href="javascript:void(0)" class='menu-toggle'>Menu</a>
                           </div>
                        </div>
                        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                        <i class="fas fa-bars"></i>
                        </button>
                     </nav>
                  </div>
               </div>
         </div>
      </div>
   </div>
</div>
</header>
